Subject: [OSPF] Fwd: Posting of draft-ietf-ospf-ospfv3-traffic-09.txt

From: Acee Lindem <[email-masked]>
Date: Fri, 21 Sep 2007 13:00:37 -0400

This document, "Traffic Engineering Extensions to OSPFv3" has been  
OSPF WG last called in the past. We have, at least, two  
implementations although we have, heretofore, not interoperability  
tested them. At this point, we would like to request if there are any  
further comments. If so, please send them to these lists by 12:00 AM,  
October 6th, 2007. The only real change in this version is to update  
the GMPLS reference to point to the RFC.

It is my intent to progress this draft since it has been quite stable  
for some time and other drafts reference it.

Thanks,
Acee

Begin forwarded message:

> From: IETF Secretariat <[email-masked]>
> Date: September 21, 2007 12:15:01 PM EDT
> To: "Acee Lindem" <[email-masked]>
> Cc: "Kunihiro Ishiguro" <[email-masked]>, "Acee  
> Lindem" <[email-masked]>, "Abhay Roy" <[email-masked]>, "David  
> Ward" <[email-masked]>, "Bill Fenner" <[email-masked]>,  
> [email-masked],
> Subject: Posting of draft-ietf-ospf-ospfv3-traffic-09.txt
>
> As you requested, draft-ietf-ospf-ospfv3-traffic-09.txt, an updated  
> version of
> an expired Internet-Drafts, has been posted.  The draft will expire  
> on March 24,
> 2008 unless it is replaced by an updated version, or the  
> Secretariat has been
> notified that the document is under official review by the IESG or  
> has been
> passed to the RFC Editor for review and/or publication as an RFC.
>
> The IETF Secretariat.

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Mach Chen <[email-masked]>
Date: Tue, 25 Sep 2007 16:14:53 +0800

Hi Acee and other authors, 

Some questions to ospfv3-traffic

1.       In this ospfv3-traffic document, a new LSA, Intra-Area-TE LSA, is
defined to advertise IPv6 TE information. From name of this new LSA, IMHO,
it is limited to be used for Intra-Area TE only. So, if there are some
underlying extensions to ospfv3-traffic, e.g. Inter-AS TE, it is a little
bit strange to re-use the Intra-Area-TE LSA, or it has to define a new LSA.
So, can we change its name to something like “OSPFv3 TE LSA”?

2.       Section 2. 

“The format of the TLVs within the body of a router information LSA is the
same as the format used by the Traffic Engineering Extensions to OSPF
[TE].”  

What’s “a router information LSA”?  Or should it be “an Intra-Area-TE
LSA” ?

Best regards,

Mach

  _____  

发件人: Acee Lindem [mailto:[email-masked]] 
发送时间: 2007年9月22日 1:01
收件人: OSPF List; CCAMP List
抄送: Ross Callon; Alan Davey; Vishwas Manral
主题: [OSPF] Fwd: Posting of draft-ietf-ospf-ospfv3-traffic-09.txt

This document, "Traffic Engineering Extensions to OSPFv3" has been OSPF WG
last called in the past. We have, at least, two implementations although we
have, heretofore, not interoperability tested them. At this point, we would
like to request if there are any further comments. If so, please send them
to these lists by 12:00 AM, October 6th, 2007. The only real change in this
version is to update the GMPLS reference to point to the RFC. 

It is my intent to progress this draft since it has been quite stable for
some time and other drafts reference it. 

Thanks,

Acee

Begin forwarded message:

Cc: "Kunihiro Ishiguro" <[email-masked]>, "Acee Lindem"
<[email-masked]>, "Abhay Roy" <[email-masked]>, "David Ward"
<[email-masked]>, "Bill Fenner" <[email-masked]>,
[email-masked], 

As you requested, draft-ietf-ospf-ospfv3-traffic-09.txt, an updated version
of

an expired Internet-Drafts, has been posted. The draft will expire on March
24,

2008 unless it is replaced by an updated version, or the Secretariat has
been

notified that the document is under official review by the IESG or has been

The IETF Secretariat.

---

From: Mach Chen <[email-masked]>
Date: Tue, 25 Sep 2007 16:24:01 +0800

2.       Section 2. 

 

Best regards,

Mach

  _____  

Thanks,

Acee

Begin forwarded message:

The IETF Secretariat.

---

From: Acee Lindem <[email-masked]>
Date: Tue, 25 Sep 2007 09:05:49 -0400

Hi Mach,
Thanks for reviewing.

On Sep 25, 2007, at 4:24 AM, Mach Chen wrote:

> 1.       In this ospfv3-traffic document, a new LSA, Intra-Area-TE  
> LSA, is defined to advertise IPv6 TE information. From name of this  
> new LSA, IMHO, it is limited to be used for Intra-Area TE only. So,  
> if there are some underlying extensions to ospfv3-traffic, e.g.  
> Inter-AS TE, it is a little bit strange to re-use the Intra-Area-TE  
> LSA, or it has to define a new LSA. So, can we change its name to  
> something like “OSPFv3 TE LSA”?
It would be if we had intended it to carry AS wide information.  
However, it was not initially intended for this. The initial thought  
was that we would do a better job for OSPFv3 and define separate LSA  
types for intra-area, inter-area, and AS external TE LSAs. Thoughts  
on this (copied ccamp as well)? I guess, IMHO, this discrepancy  
exposes the choice of a new link type for inter-AS connectivity as a  
bit of a hack.

>
>
> 2.       Section 2.
>
> “The format of the TLVs within the body of a router information LSA  
> is the same as the format used by the Traffic Engineering  
> Extensions to OSPF [TE].”
>
>
>
> What’s “a router information LSA”?  Or should it be “an Intra-Area- 
> TE LSA” ?

Yes. Good catch. I'll fix this.

Thanks,
Acee